.TH "freshclam" "1" "February 12, 2007" "ClamAV 0.95.3" "Clam AntiVirus"
.SH "NAME"
.LP 
freshclam \- update virus databases
.SH "SYNOPSIS"
.LP 
freshclam [options]
.SH "DESCRIPTION"
.LP 
freshclam is a virus database update tool for ClamAV.
.SH "OPTIONS"
.LP 
Freshclam reads its configuration from freshclam.conf. The settings can be overwritten with command line options.
.TP 
\fB\-h, \-\-help\fR
Output help information and exit.
.TP 
\fB\-V, \-\-version\fR
Print version number and exit.
.TP 
\fB\-v, \-\-verbose\fR
Be verbose. This option causes freshclam to print much additional information.
.TP 
\fB\-\-quiet\fR
Be quiet \- output only error messages.
.TP 
\fB\-\-no\-warnings\fR
Don't print and log warnings.
.TP 
\fB\-\-stdout\fR
Write all messages to stdout.
.TP 
\fB\-l FILE, \-\-log=FILE\fR
Write download report to FILE.
.TP 
\fB\-\-datadir=DIRECTORY\fR
Install new database in DIRECTORY. The directory must be writable for the '' user or unprivileged user running freshclam.
.TP 
\fB\-u USER, \-\-user USER\fR
Run as USER. By default (when started by root) freshclam drops privileges and operates as the '' user.
.TP 
\fB\-d, \-\-daemon\fR
Run in a daemon mode. This option requires \-\-checks.
\fB\-p FILE, \-\-pid=FILE\fR
Write daemon's pid to FILE.
.TP 
\fB\-\-no\-dns\fR
This option forces old non\-DNS verification method (without a TTL delay).
.TP 
\fB\-c #n, \-\-checks=#n\fR
Check #n times per day for a new database. #n must be between 1 and 50.
.TP 
\fB\-\-daemon\-notify=/path/to/clamd.conf\fR
Notify the daemon about the new database. By default it reads a hardcoded config file but you can use a different one. Both local and TCP sockets are supported.
.TP 
\fB\-a IP, \-\-local\-address=IP\fR
Use (local) IP for HTTP downloads. Useful for multi\-homed systems. If binding fails for whatever reason, a warning is issued and freshclam behaves like without this flag.
.TP 
\fB\-\-on\-error\-execute=COMMAND\fR
Execute COMMAND if error occurred. Remember, that virus database freshness is the most important thing in anti\-virus system. With this option freshclam can alert you (eg. send SMS) when something is going wrong.
.TP 
\fB\-\-on\-update\-execute=COMMAND\fR
Execute COMMAND after successful update.
.TP 
\fB\-\-on\-outdated\-execute=COMMAND\fR
Execute COMMAND when freshclam reports outdated version. In the command string %v will be replaced by the new version number.
.TP 
\fB\-\-list\-mirrors\fR
Print mirror details from mirrors.dat (cache file for the mirror manager).
.TP
\fB\-\-submit\-stats[=/path/to/clamd.conf]\fR
Upload detection statistics to the ClamAV Project (see freshclam.conf(5):SubmitDetectionStats for more details). No database update will be performed. This option only works in the interactive mode.
.SH "EXAMPLES"
.LP 
.TP 
(0) Download database to default directory:

\fBfreshclam\fR
.TP 
(1) Download database to current directory:

\fBfreshclam \-\-datadir=.\fR
.TP 
(2) Run as a daemon and check 2 times per day for new database:

\fBfreshclam \-d \-c 2\fR
.SH "RETURN CODES"
Some return codes of freshclam can be overwritten with a built-in command EXIT_n which can be passed to \-\-on\-*\-execute, eg. \-\-on\-update\-execute=EXIT_1 will force freshclam to always return 1 after successful database update.
.TP
0 : Database successfully updated.
.TP 
1 : Database is up\-to\-date.
.TP 
40: Unknown option passed.
.TP 
50: Can't change directory.
.TP 
51: Can't check MD5 sum.
.TP 
52: Connection (network) problem.
.TP 
53: Can't unlink file.
.TP 
54: MD5 or digital signature verification error.
.TP 
55: Error reading file.
.TP 
56: Config file error.
.TP 
57: Can't create new file.
.TP 
58: Can't read database from remote server.
.TP 
59: Mirrors are not fully synchronized (try again later).
.TP 
60: Can't get information about '' user from /etc/passwd.
.TP 
61: Can't drop privileges.
.TP 
62: Can't initialize logger.
.SH "FILES"
.LP 
/dev/env/DOSDIR/lib/freshclam.conf
.SH "CREDITS"
Please check the full documentation for credits.
.SH "AUTHOR"
.LP 
Tomasz Kojm <tkojm@clamav.net>
.SH "SEE ALSO"
.LP 
clamd(8), clamdscan(1), clamscan(1), sigtool(1), clamd.conf(5), clamav-milter(8)
